[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSExecuteStatement

Execute a SQL statement.

## Declaration

Source position: db.pas line 1322

`function IProviderSupport.PSExecuteStatement(`
`const ASQL: string;`
`AParams: TParams;`
`ResultSet: Pointer = Nil`
`):Integer;`

## Arguments

`ASQL` |  | SQL statement to execute (may contain parameters)
`AParams` |  | Parameter values to substitute when executing ASQL
`ResultSet` |  | Pointer to resultset (if any)

## Function result

True if the statement ASQL was executed succesfully.

## Description

PSExecuteStatement will execute the ASQL SQL statement in the current transaction. The SQL statement can have parameters embedded in it (in the form :ParamName), values for these parameters will be taken from AParams. If the SQL statement returns a result-set, then the result set can be returned in ResultSet. The function returns True if the statement was executed succefully.

PSExecuteStatement does not modify the content of CommandText: PSGetCommandText returns the same value before and after a call to PSExecuteStatement.

## See also

PSGetCommandText
PSSetCommandText
PSExecuteStatement

Documentation generated on: Feb 26 2014